function XPToGo_OnLoad(self)
    self:RegisterEvent("PLAYER_XP_UPDATE");
    self:RegisterEvent("PLAYER_LEVEL_UP");
    self:RegisterEvent("PLAYER_ENTERING_WORLD");

    local text = XPToGoExpText;
    self.text = text;
    text:SetTextHeight(self:GetHeight() * 0.9);
end

function XPToGo_Event(self, event)
  if ((event == "PLAYER_XP_UPDATE") 
	or (event == "PLAYER_ENTERING_WORLD") 
	or (event == "PLAYER_LEVEL_UP")) then
     XPToGo_Update()
  end
end

function XPToGo_Update()
   local currXP = UnitXP("player");
   local nextXP = UnitXPMax("player");

   local togoXP = nextXP - currXP;
   if (togoXP < 0) then
     togoXP = 0;
   end

   XPToGoExpText:SetText("(" .. togoXP .. ")");
end

function XPToGo_ReputationWatchBar_Update(newLevel)
   local name, reaction, min, max, value = GetWatchedFactionInfo();
   if (name) then
      local togoRep = max - value;
      if (togoRep < 0) then
	 togoRep = 0;
      end
      XPToGoRepText:SetText("(" .. togoRep .. ")");
   else
      XPToGoRepText:SetText("");
   end
   -- XPToGoRepText:SetTextHeight(XPToGoReputationFrame:GetHeight() * 1.5);
   XPToGoReputationFrame:SetScale(XPToGoReputationFrame:GetParent():GetHeight() / 13);
end


function XPToGo_Rep_OnLoad(self)
   XPToGoOverlayFrame:SetFrameLevel(self:GetFrameLevel() + 1);
   local text = XPToGoRepText;
   self.text = text;
   XPToGo_ReputationWatchBar_Update();
   hooksecurefunc("ReputationWatchBar_Update",
		  XPToGo_ReputationWatchBar_Update);
end

